diff --git a/AUTHORS b/AUTHORS
index 5f0c14e..17c1a51 100644
--- a/AUTHORS
+++ b/AUTHORS
@@ -5,3 +5,4 @@ Fabian Arrotin <arrfab@centos.org>
 Athmane Madjoudj <athmanem@gmail.com>
 Steve Barnes <steve@echo.id.au>
 Johnny Hughes <johnny@centos.org>
+Christoph Galuschka <christoph.galuschka@tiwag.at>
diff --git a/tests/p_net-snmp/snmp_test.sh b/tests/p_net-snmp/snmp_test.sh
deleted file mode 100755
index eb42841..0000000
--- a/tests/p_net-snmp/snmp_test.sh
+++ /dev/null
@@ -1,10 +0,0 @@
-#!/bin/sh
-# Author: Athmane Madjoudj <athmanem@gmail.com>
-
-t_Log "Running $0 - snmp test"
-
-t_InstallPackage net-snmp-utils 
-
-snmpwalk -v 1 -c public 127.0.0.1 > /dev/null 2>&1
-
-t_CheckExitStatus $?
diff --git a/tests/p_net-snmp/snmpv1_test.sh b/tests/p_net-snmp/snmpv1_test.sh
new file mode 100755
index 0000000..8931d71
--- /dev/null
+++ b/tests/p_net-snmp/snmpv1_test.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+# Author: Athmane Madjoudj <athmanem@gmail.com>
+
+t_Log "Running $0 - snmpv1 test"
+
+t_InstallPackage net-snmp-utils 
+
+snmpwalk -v 1 -c public 127.0.0.1 > /dev/null 2>&1
+
+t_CheckExitStatus $?
diff --git a/tests/p_net-snmp/snmpv2c_test.sh b/tests/p_net-snmp/snmpv2c_test.sh
new file mode 100755
index 0000000..26b49c5
--- /dev/null
+++ b/tests/p_net-snmp/snmpv2c_test.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+# Author: Athmane Madjoudj <athmanem@gmail.com>
+# Author: Christoph Galuschka <christoph.galuschka@tiwag.at>
+
+t_Log "Running $0 - snmpv2c test"
+
+t_InstallPackage net-snmp-utils 
+
+snmpwalk -v 2c -c public 127.0.0.1 > /dev/null 2>&1
+
+t_CheckExitStatus $?
diff --git a/tests/p_net-snmp/snmpv3_test.sh b/tests/p_net-snmp/snmpv3_test.sh
new file mode 100755
index 0000000..1c27351
--- /dev/null
+++ b/tests/p_net-snmp/snmpv3_test.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+# Author: Athmane Madjoudj <athmanem@gmail.com>
+# Author: Christoph Galuschka <christoph.galuschka@tiwag.at>
+
+t_Log "Running $0 - snmpv3 test"
+
+t_InstallPackage net-snmp-utils 
+
+# Make Backup of snmpd.conf and add V3-settings
+/bin/cp /etc/snmp/snmpd.conf /etc/snmp/snmpd.conf.orig
+echo 'rouser centosro' >> /etc/snmp/snmpd.conf
+echo 'createUser centosro MD5 centosro DES centosro' >> /etc/snmp/snmpd.conf
+
+# Restart Service
+service snmpd restart
+
+#Run test
+snmpget -v 3 -u centosro  -n "" -l authPriv -a MD5 -A centosro -x DES -X centosro 127.0.0.1 sysUpTime.0 > /dev/null 2>&1
+ret_val=$?
+
+# Restore settings
+/bin/cp /etc/snmp/snmpd.conf.orig /etc/snmp/snmpd.conf
+service snmpd restart
+
+t_CheckExitStatus $ret_val